// MyExit.java

import swarm.Globals;

/** 
 * A static class used to stop execution before System.exit(1) code,
 * to avoid the "Unable to register TclNotifier window class" error 
 * in W2000 and XP
 *
 * @author Pietro Terna
 */
public class MyExit
{
    public static void exit(int i)
    {
	if(i==2)
	    {
			System.out.println("\nProgram aborted; press ^C to exit.");
			System.exit(2);
	    }
	
	System.out.println("\nPress Quit to exit.");
	StartESFrame.eSFrameObserverSwarm.
	 getControlPanel().setStateStopped();
    }

}
